Package com.xebialabs.deployit.plugin.api.execution

## Interface ExecutionContext

- All Known Subinterfaces:
    `DeploymentExecutionContext`, `InspectionExecutionContext`

      @Deprecated
      public interface ExecutionContext

  Deprecated.
  Defines a set of methods that a step uses to communicate with its execution engine, e.g. to write to the log file.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getAttribute​(java.lang.String name)` | Deprecated. Returns the execution context attribute with the given name, or `null` if there is no attribute by that name.
    `void` | `logError​(java.lang.String error)` | Deprecated. Logs a line of error output.
    `void` | `logError​(java.lang.String error, java.lang.Throwable t)` | Deprecated. Logs a line and an exception to the error output .
    `void` | `logOutput​(java.lang.String output)` | Deprecated. Logs a line of output.
    `void` | `setAttribute​(java.lang.String name, java.lang.Object value)` | Deprecated. Stores an attribute in the execution context.

- - ### Method Detail

    - #### logOutput

          void logOutput​(java.lang.String output)

      Deprecated.
      Logs a line of output. If this step is executing a command, this would be the output that is sent to the `standard output stream`.
      Parameters:
        `output` - the log line to be written.

    - #### logError

          void logError​(java.lang.String error)

      Deprecated.
      Logs a line of error output. If this step is executing a command, this would be the output that is sent to the `standard error stream`.
      Parameters:
        `error` - the error line to be written.

    - #### logError

          void logError​(java.lang.String error,
                        java.lang.Throwable t)

      Deprecated.
      Logs a line and an exception to the error output .
      Parameters:
        `error` - the error to be written.
        `t` - the exception to be logged too

    - #### getAttribute

          java.lang.Object getAttribute​(java.lang.String name)

      Deprecated.
      Returns the execution context attribute with the given name, or `null` if there is no attribute by that name.
      Parameters:
        `name` - the name of the attribute
      Returns:
        the value of the attribute, or `null` if there is no attribute by that name.

    - #### setAttribute

          void setAttribute​(java.lang.String name,
                            java.lang.Object value)

      Deprecated.
      Stores an attribute in the execution context. This attribute will be available while the deployment plan is executing, until it is stopped or finished.
      Parameters:
        `name` - the name of the attribute
        `value` - the value of the attribute